import os
import requests

HOST: str = os.environ.get('HOST')
PORT: int = int(os.environ.get("PORT"))
ROUTE: str = os.environ.get("ROUTE")


def test_health_check():
    """
    Testing Health Check endpoint service.
    :return: None
    """
    if not (HOST or PORT or ROUTE):
        raise ValueError(f'invalid value found for 1 or more environment variables: HOST: {HOST}, PORT: {PORT}, or ROUTE: {ROUTE}')
    _url = f'http://{HOST}:{PORT}{ROUTE}'
    resp = requests.get(_url)
    assert resp.ok, f'Health check failed with status code: {resp.status_code}'